Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class StringDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.StringDefHelper

public class StringDefHelper
extends java.lang.Object

Helper class for : StringDef

Author:
  OpenORB Compiler

Constructor Summary
`StringDefHelper()`

Method Summary
`static StringDef` | `extract(Any a)` Extract StringDef from an any
`static java.lang.String` | `id()` Return the StringDef IDL ID
`static void` | `insert(Any a, StringDef t)` Insert StringDef into an any
`static StringDef` | `narrow(Object obj)` Narrow CORBA::Object to StringDef
`static StringDef` | `read(InputStream istream)` Read StringDef from a marshalled stream
`static TypeCode` | `type()` Return the StringDef TypeCode
`static StringDef` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to StringDef
`static void` | `write(OutputStream ostream, StringDef value)` Write StringDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringDefHelper

    public StringDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              StringDef t)

  Insert StringDef into an any
  Parameters:
    `a` - an any
    `t` - StringDef value

### extract

    public static StringDef extract(Any a)

  Extract StringDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted StringDef value

### type

    public static TypeCode type()

  Return the StringDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the StringDef IDL ID
  Returns:
    an ID

### read

    public static StringDef read(InputStream istream)

  Read StringDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed StringDef value

### write

    public static void write(OutputStream ostream,
                             StringDef value)

  Write StringDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - StringDef value

### narrow

    public static StringDef narrow(Object obj)

  Narrow CORBA::Object to StringDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    StringDef Object

### unchecked_narrow

    public static StringDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to StringDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    StringDef Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD